> For the complete documentation index, see [llms.txt](https://docs.dobb-e.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dobb-e.com/software/readme-1/setting-up-the-datasets.md).

# Setting up the Datasets

Download our provided datasets or get started with your own data.

### **Download Our Datasets**

You can simply download our pre-provided datasets using any of the following commands:

```bash
# HoNY RGB + actions dataset, 814 MB
wget https://dl.dobb-e.com/datasets/homes_of_new_york.zip
unzip homes_of_new_york.zip

# HoNY RGB-D + actions dataset, 77 GB
pip install gdown
python -c "import gdown; gdown.download_folder("https://drive.google.com/drive/folders/1o8c6b6hSKfId8EzemVGf8c7DQoZ2IHAO?usp=sharing", quiet=True)
zip -FF HomesOfNewYorkWithDepth.zip --out HoNYDepth.zip
unzip -FF HoNYDepth.zip

# Sample finetuning dataset
wget https://dl.dobb-e.com/datasets/finetune_directory.zip
unzip finetune_directory.zip
```

### **Bring Your Own Data**

Follow documentation in [Processing Collected Data](/software/processing-collected-data.md) to extract data.

* Ensure the following data directory structure:

  <pre><code><strong>dataset/
  </strong>|--- task1/
  |------ home1/
  |--------- env1/
  |--------- env1_val/
  |--------- env2/
  |--------- env2_val/
  |--------- env.../
  |------ home2/
  |--------- env1/
  |--------- env1_val/
  |--------- env.../
  |------ home.../
  |--- task2/
  |------ home1/
  |--------- env1/
  |--------- env1_val/
  |--------- env.../
  |------ home2/
  |--------- env1/
  |--------- env1_val/
  |--------- env.../
  |------ home.../
  |--- task.../
  |--- r3d_files.txt
  </code></pre>

### Create the env\_vars file

Create the file `configs/env_vars/env_vars.yaml` based on `configs/env_vars/env_vars.yaml.sample`.

{% hint style="info" %}
`home_ssl_data_root` and `home_ssl_data_original_root`: These are optional, only relevant if you are planning to reproduce the HPR encoder.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dobb-e.com/software/readme-1/setting-up-the-datasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
